# ErrorResponse class

Object that contains more information if an API call failed due to an API related error.

Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

ErrorResponse(String message, {ApiError? apiError, Throwable? throwable})
ErrorResponse.fromJson(Map<String, dynamic> json)
  factory

## Properties

apiError ↔ ApiError?
  The error from the API, if this was made available from the API.
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
message ↔ String
  The error message.
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
throwable ↔ Throwable?
  The exception that has occurred.
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited